package com.qmth.sop.common.enums;

/**
 * @Description: 延期预警序列类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum DelayWarnSeqTypeEnum {

    VIOLATION_WARN("violationWarn", "violationWarn", "V"),

    DELAY_WARN("项目取消", "delayWarn", "W");

    private String title;

    private String code;

    private String mark;

    private DelayWarnSeqTypeEnum(String title, String code, String mark) {
        this.title = title;
        this.code = code;
        this.mark = mark;
    }

    public String getMark() {
        return mark;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }
}
